oracle.xml.pipeline.controller

## Class PipeDocElement

- java.lang.Object
- - oracle.xml.pipeline.controller.PipeDocElement

All Implemented Interfaces:
  PipelineConstants

Direct Known Subclasses:
  Input, Output

    public abstract class PipeDocElement
    extends java.lang.Object
    implements PipelineConstants

Abstract class to represent an element in the pipeline document.

### Field Summary

### Fields inherited from interface oracle.xml.pipeline.controller.PipelineConstants

`COMPSTREAMRESULT, COMPSTREAMSOURCE, DOCFRAG, DOCUMENT, DOMRESULT, DOMSOURCE, ELEMENT, PROCESS_WAITING, SAXRESULT, SAXSOURCE, STREAMRESULT, STREAMSOURCE`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.